Subject: Re: ntvdm encountered a hard error
From: Wayne Johnson <[email-masked]>
To: [email-masked]
Cc: prakash babu <[email-masked]>
Date: Thu, 23 Dec 2010 10:25:49 -0800 (PST)
List-Id: <cygwin.cygwin.com>

On 06/04/2010 09:29, prakash babu wrote:

> I installed cygwin 1.5 using the legacy setup available at
> http://cygwin.com/setup-legacy.exe.
> 
> The install went through fine, but when I click on the cygwin binary i get
> "ntvdm encountered a hard error".

I think I ran into the same problem (although after doing a google search, there 
are lots of different answers).

In my case, I was installing using setup-legacy.exe on a new Windows Server 2k3 
SP2 VM (under VMWare Server 2).  This was 

the exact same configuration that I had set up several months ago in another VM, 
and which still works. 

When I click on the Cygwin Bash Shell icon, or on
the start menu shortcut, a command windows would open up and then a pop up with
"ntvdm encountered a hard error".

I started to compare the working and non-working VM and found that the shortcut 
on the non-working VM specified the command:
"C:\WINDOWS\command.com /E:4096 /c C:\cygwin\Cygwin.bat", 
whereas the working version had 
"C:\cygwin\Cygwin.bat".  

WS2k3 does not have a C:\WINDOWS\command.com (nor does XP).  When I changed the 
shortcut to 

"C:\WINDOWS\system32\command.com /E:4096 /c C:\cygwin\Cygwin.bat" 
everything worked great.

Now according to my cygcheck -c of both systems, there was no difference in the 
packages, so this must be a change in 

the installer.

      

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple